import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class EventService {

  eventStored: any[] = [];

  constructor() { }

  public add(event: any) {
    this.eventStored.push(event);
  }

  public remove(event: any) {
    this.eventStored  = this.eventStored.filter(eItem => eItem.id === event.id);
  }

  public pause(event: any) {
    // Wait for implement.
  }

  public resume(event: any) {
    // Wait for implement.
  }

}
